Bug 230311 - sysutils/wait_on - created a new repository on Github
Summary: sysutils/wait_on - created a new repository on Github
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-08-03 01:07 UTC by Josmar
Modified: 2018-08-21 04:41 UTC (History)
2 users (show)

See Also:


Attachments
add a new repository and change mantainer (944 bytes, patch)
2018-08-03 01:07 UTC, Josmar
no flags Details | Diff
Now it passes portlint and port test (1.27 KB, patch)
2018-08-05 16:05 UTC, Josmar
no flags Details | Diff
Now it has no GH_TAGNAME and still passes portlint -ac (1.27 KB, patch)
2018-08-21 00:44 UTC, Josmar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Josmar 2018-08-03 01:07:37 UTC
Created attachment 195787 [details]
add a new repository and change mantainer

updates sysutils/wait_on - change to a new repository on Github
Comment 1 Thomas Zander freebsd_committer 2018-08-05 10:51:45 UTC
portlint is not very happy with this patch. Could you take a look and ensure it passes portlint -ac?
Comment 2 Josmar 2018-08-05 16:05:13 UTC
Created attachment 195901 [details]
Now it passes portlint and port test

I made a new Makefile.
Now the patch passes portlint -ac and port test /usr/ports/sysutils/wait_on
Sorry for making you spend time before it was properly tested.
Comment 3 Yuri Victorovich freebsd_committer 2018-08-20 18:23:58 UTC
Hi Josmar,

Your version isn't right. GH_TAGNAME=16ff3bc shouldn't be set when the project has a defined version. Please use 'git describe --tags' to find the fully qualifies git version. Please see an example in science/chrono/Makefile.

Regards,
Yuri
Comment 4 Josmar 2018-08-21 00:44:29 UTC
Created attachment 196408 [details]
Now it has no GH_TAGNAME and still passes portlint -ac

Thanks for your review Yuri.
I removed the GH_TAGNAME and replaced it with the proper version tag (likewise the example you mention)
Comment 5 commit-hook freebsd_committer 2018-08-21 04:28:32 UTC
A commit references this bug:

Author: yuri
Date: Tue Aug 21 04:28:28 UTC 2018
New revision: 477700
URL: https://svnweb.freebsd.org/changeset/ports/477700

Log:
  sysutils/wait_on: Update 1.1 -> 1.1-2

  jcpierri@gmail.com takes maintainership

  Port changes:
  * Code moved from the original CVS repository to the maintainer's repository on github
  * Update COMMENT
  * Add WWW

  PR:		230311
  Submitted by:	Josmar <jcpierri@gmail.com>

Changes:
  head/sysutils/wait_on/Makefile
  head/sysutils/wait_on/distinfo
  head/sysutils/wait_on/pkg-descr
Comment 6 Yuri Victorovich freebsd_committer 2018-08-21 04:32:04 UTC
Committed with small changes.
Thank you for taking maintainership!